From: "Andreas Sturmlechner" <asturm@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-misc/recoll/
Date: Sat, 4 Mar 2017 18:17:12 +0000 (UTC) [thread overview]
Message-ID: <1488651277.5b7946bff79745e70a2b83d6e12103f972baa0d4.asturm@gentoo> (raw)
commit: 5b7946bff79745e70a2b83d6e12103f972baa0d4
Author: Punarbasu Purkayastha <ppurka <AT> gmail <DOT> com>
AuthorDate: Sat Mar 4 17:35:49 2017 +0000
Commit: Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Sat Mar 4 18:14:37 2017 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5b7946bf
app-misc/recoll: 1.22.4 version bump
Changes done by committer:
- minor stylistic improvements, whitespace-- indentation++
- sorted dependencies
- added subslot operator to dev-libs/xapian
- added missing DEPEND on linguist-tools:5
- added missing || die in src_install
Package-Manager: Portage-2.3.3, Repoman-2.3.1
app-misc/recoll/Manifest | 1 +
app-misc/recoll/recoll-1.22.4.ebuild | 128 +++++++++++++++++++++++++++++++++++
2 files changed, 129 insertions(+)
diff --git a/app-misc/recoll/Manifest b/app-misc/recoll/Manifest
index c11873e4770..d2a26b7f4a7 100644
--- a/app-misc/recoll/Manifest
+++ b/app-misc/recoll/Manifest
@@ -1 +1,2 @@
DIST recoll-1.19.5.tar.gz 1997615 SHA256 c4d63a4cd1a598117a521a883a6078082b30fe63eef84a879da9b467fcb56a8d SHA512 45ae5dc6d4f6d6dbb3d7e634bd60a2835b767e5d2d8d188636ab4b1777d65a6918c09d5bc09e80e4849aea6e8b2c9c430b99a9e56b645531065e558f4161a5f3 WHIRLPOOL df099f39a681aa1956076018861d064445bcb9fc050c866133a830ebeddb33efcc9a06596ce18d17d80bcfdb663bb780434719092c6c571f42b6093a4c750be3
+DIST recoll-1.22.4.tar.gz 2511949 SHA256 8211e1ccc6e576b0c21e5bfb4f49a0b69990a44bd5a3ce6eae4ff16aaf23412f SHA512 90d258c854972a41adbb3eef71b08d25c5aea24ed6fc830245d19e273112c016b66b0359e1d83143992d07b5a67226216e8f406ac135c21da6b86c7ffde31225 WHIRLPOOL 2dac2936e4c13448b6f8cb0c6d9d0d6d1d7c14b47a6761b6115762d734f91cfd8652186627b8ab55149c14ff5b00260838b0e62962f32ecbd4d2bef1f25e44ba
diff --git a/app-misc/recoll/recoll-1.22.4.ebuild b/app-misc/recoll/recoll-1.22.4.ebuild
new file mode 100644
index 00000000000..277e650de90
--- /dev/null
+++ b/app-misc/recoll/recoll-1.22.4.ebuild
@@ -0,0 +1,128 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 )
+
+inherit eutils linux-info python-single-r1 qmake-utils
+
+DESCRIPTION="A personal full text search package"
+HOMEPAGE="http://www.lesbonscomptes.com/recoll/"
+SRC_URI="http://www.lesbonscomptes.com/recoll/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+IUSE="camelcase doc +inotify qt4 qt5 session +spell"
+REQUIRED_USE="session? ( inotify )"
+
+COMMON_DEPEND="
+ dev-libs/xapian:=
+ sys-libs/zlib
+ virtual/libiconv
+ qt5? (
+ dev-qt/qtcore:5
+ dev-qt/qtgui:5
+ dev-qt/qtprintsupport:5
+ dev-qt/qtwebkit:5
+ )
+ !qt5? ( qt4? (
+ dev-qt/qtcore:4
+ dev-qt/qtgui:4
+ ) )
+ session? (
+ inotify? ( x11-libs/libSM x11-libs/libICE )
+ )
+ spell? ( app-text/aspell )
+"
+DEPEND="${COMMON_DEPEND}
+ qt5? ( dev-qt/linguist-tools:5 )
+"
+RDEPEND="${COMMON_DEPEND}
+ app-arch/unzip
+ sys-apps/sed
+ virtual/awk
+"
+
+pkg_setup() {
+ if use inotify; then
+ CONFIG_CHECK="~INOTIFY_USER"
+ check_extra_config
+ fi
+ python-single-r1_pkg_setup
+}
+
+src_prepare() {
+ python_fix_shebang filters
+ default
+}
+
+src_configure() {
+ local qtconf
+ if use qt4 || use qt5; then
+ qtconf="--enable-qtgui"
+ if use qt5; then
+ export QT_SELECT=qt5
+ qtconf+=" --enable-webkit"
+ elif use qt4; then
+ export QT_SELECT=qt4
+ qtconf+=" --disable-webkit"
+ fi
+ else
+ qtconf="--disable-qtgui --disable-webkit"
+ fi
+
+ econf \
+ $(use_enable camelcase) \
+ $(use_enable session x11mon) \
+ $(use_with inotify) \
+ $(use_with spell aspell) \
+ ${qtconf} \
+ --without-fam \
+ --enable-recollq
+}
+
+src_install() {
+ emake STRIP="$(type -P true)" DESTDIR="${D}" install
+ prune_libtool_files
+
+ # html docs should be placed in /usr/share/doc/${PN}/html
+ use doc && dodoc "${ED}"/usr/share/recoll/doc/*
+ rm -r "${ED}/usr/share/recoll/doc" || die
+}
+
+pkg_postinst() {
+
+ einfo "Installing 1.22 over an 1.19 index is possible,"
+ einfo "but there have been small changes in the way"
+ einfo "compound words are indexed. So it is best to reset"
+ einfo "the index. The best method to reset the index is to"
+ einfo "quit all recoll programs and delete the index directory"
+ einfo "rm -rf ~/.recoll/xapiandb, then start recoll or recollindex"
+ einfo ""
+ einfo "In order to extract the full functionality of "
+ einfo "recoll, the following packages should be installed "
+ einfo "to get the corresponding document support."
+
+ optfeature "XML based documents support" "dev-libs/libxslt[python] dev-libs/libxml2[python]"
+ optfeature "PDF files support" app-text/poppler
+ optfeature "PDF files with OCR support" app-text/tesseract
+ optfeature "MS Word files support" app-text/antiword
+ optfeature "Wordperfect files support" "app-text/libwpd[tools]"
+ optfeature "Lyx files support" app-office/lyx
+ optfeature "CHM files support" dev-python/pychm
+ optfeature "GNU Info files support" sys-apps/texinfo
+ optfeature "RAR archives support" dev-python/rarfile
+ optfeature "7zip archives support" dev-python/pylzma
+ optfeature "iCalendar files support" dev-python/icalendar
+ optfeature "Postscript files support" app-text/pstotext
+ optfeature "RTF files support" app-text/unrtf
+ optfeature "TeX files support" dev-text/detex
+ optfeature "DVI files support" virtual/tex-base
+ optfeature "DJVU files support" app-text/djvu
+ optfeature "tags in audio files support" media-libs/mutagen
+ optfeature "tags in image files support" media-libs/exiftool
+ optfeature "Midi karaoke files support" dev-python/chardet
+}
next reply other threads:[~2017-03-04 18:17 UTC|newest]
Thread overview: 66+ messages / expand[flat|nested] mbox.gz Atom feed top
2017-03-04 18:17 Andreas Sturmlechner [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-10-19 7:07 [gentoo-commits] repo/gentoo:master commit in: app-misc/recoll/ Yixun Lan
2024-10-17 9:58 Joonas Niilola
2024-09-05 16:50 Andreas Sturmlechner
2024-04-21 12:38 Sam James
2024-04-21 12:38 Sam James
2024-04-09 6:55 Yixun Lan
2024-03-02 23:01 Sam James
2024-03-02 23:01 Sam James
2024-02-06 3:39 Sam James
2023-12-29 7:33 Arthur Zamarin
2023-07-08 18:08 Conrad Kostecki
2023-06-24 15:38 Arthur Zamarin
2023-05-27 7:49 Joonas Niilola
2023-05-27 7:49 Joonas Niilola
2023-05-27 7:49 Joonas Niilola
2023-05-01 0:23 Sam James
2023-05-01 0:09 Sam James
2023-04-10 7:37 Joonas Niilola
2023-01-12 14:07 Joonas Niilola
2022-08-17 17:11 Joonas Niilola
2022-07-03 11:51 Joonas Niilola
2022-07-03 11:51 Joonas Niilola
2022-04-23 6:25 Joonas Niilola
2022-04-23 6:25 Joonas Niilola
2022-01-09 11:02 Joonas Niilola
2022-01-09 11:02 Joonas Niilola
2021-12-09 16:24 Agostino Sarubbo
2021-12-08 11:54 Jakov Smolić
2021-11-10 8:02 Joonas Niilola
2021-07-08 7:35 Joonas Niilola
2021-06-29 21:24 Sam James
2021-06-29 21:24 Sam James
2021-05-31 20:18 Michał Górny
2021-04-22 3:01 Sam James
2021-04-22 2:59 Sam James
2021-03-16 6:54 Joonas Niilola
2021-03-10 11:33 Joonas Niilola
2021-02-10 14:55 Joonas Niilola
2021-02-10 14:55 Joonas Niilola
2021-01-13 9:18 Sam James
2021-01-13 9:17 Sam James
2020-12-05 4:55 Erik Mackdanz
2019-07-18 13:39 Agostino Sarubbo
2019-07-18 7:26 Agostino Sarubbo
2019-06-27 17:21 Andreas Sturmlechner
2019-05-08 17:05 Andreas Sturmlechner
2019-02-03 14:08 Andreas Sturmlechner
2018-09-10 19:46 Andreas Sturmlechner
2018-09-09 8:23 Mikle Kolyada
2018-09-09 1:12 Thomas Deutschmann
2018-06-01 14:10 Aaron Bauman
2017-12-16 23:15 Andreas Sturmlechner
2017-11-30 19:02 Thomas Deutschmann
2017-09-24 8:53 Michael Palimaka
2017-07-19 15:51 Patrice Clement
2017-04-27 18:15 Andreas Sturmlechner
2017-04-24 7:23 Agostino Sarubbo
2017-04-20 7:59 David Seifert
2017-03-04 18:50 Andreas Sturmlechner
2017-03-04 18:17 Andreas Sturmlechner
2016-11-01 10:30 Pacho Ramos
2016-11-01 10:29 Pacho Ramos
2016-08-17 13:50 Pacho Ramos
2016-06-25 8:26 Michał Górny
2015-10-18 18:20 Michael Palimaka
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1488651277.5b7946bff79745e70a2b83d6e12103f972baa0d4.asturm@gentoo \
--to=asturm@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox